Password hash propagation (operatingsystem/kickstart template) to authconfig doesn't work

06/27/2018 05:53 AM - Lukas Kallies

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Templates   

Target version: 1.19.0   

Difficulty:  Fixed in Releases: 1.19.0

Triaged: No Found in Releases:  

Bugzilla link: 1563529 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5746,

https://github.com/theforeman/communit

y-templates/pull/487,

https://github.com/theforeman/communit

y-templates/pull/488

  

Description

The operatingsystem definition lets you select a hashing algorithm (SHA256, SHA512, ...). This is written in uppercase. The value is

used in the kickstart_default.erb (authconfig --passalgo=) which needs downcase values.

If SHA512 is selected (SHA256 is the default in kickstart_default.erb), authconfig will use SHA256 anyway because it has no value

SHA512 (but sha512).

This issue is also described in RH Bugzilla #1563529 (https://bugzilla.redhat.com/show_bug.cgi?id=1563529)

Associated revisions

Revision 662cb89c - 06/27/2018 02:50 PM - Lukas Zapletal 

Fixes #24084 - root pass algo is downcase now

History

#1 - 06/27/2018 05:55 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5746 added

#2 - 06/27/2018 11:39 AM - Lukas Zapletal

- Subject changed from root password hash propagation (operatingsystem/kickstart template) to authconfig doesn't work (downcase/uppercase) to

Password hash propagation (operatingsystem/kickstart template) to authconfig doesn't work

- Category set to Templates

- Bugzilla link set to 1563529

Hey, yeah thanks. Fixing.

#3 - 06/27/2018 11:42 AM - The Foreman Bot

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/community-templates/pull/487 added

#4 - 06/27/2018 02:28 PM - The Foreman Bot

- Pull request https://github.com/theforeman/community-templates/pull/488 added

#5 - 06/27/2018 03:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset community-templates|662cb89c5c8a6e47927d4f12c15992c26197cade.

#6 - 06/27/2018 07:31 PM - Marek Hulán

- translation missing: en.field_release set to 353

will be synced to 1.19

#7 - 06/28/2018 02:40 PM - Lukas Zapletal

Lukas, we are not backporting into 1.18 the fix is a trivial change.
